:root {
    --discount-font-size: 2.3vw;
    --main-font-color: var(--back-color);
    --highlight-font-color: red;
}

.top-sales-top-container {
    display: flex;
    justify-content: center;
}

.top-sales-item-container {
    position: relative;
    margin: 1.5vw;
    width: 40%;
    overflow: hidden;
}

img.top-sales-image {
    position: relative;
    width: 100%;
    height: 24vw;
    cursor: pointer;
    transition: all 1s ease;
}

.info-container-1,
.info-container-2,
.info-container-3 {
    position: absolute;
    background-color: var(--main-font-color);
    text-align: center;
    bottom: 75%;
    margin-left: 2vw;
    left: -100%;
    width: fit-content;
    transition: all 1s ease;
}

.info-container-2 {
    bottom: 55%;
}

.info-container-3 {
    bottom: 35%;
}

.top-sales-item-container:hover > img.top-sales-image {
    transform: scale(1.2);
}

.top-sales-item-container:hover > .info-container-1,
.top-sales-item-container:hover > .info-container-2,
.top-sales-item-container:hover > .info-container-3 {
    left: 0%;
}

.top-sales-item-container:hover > .info-container-2 {
    transition-delay: 0.5s;
}

.top-sales-item-container:hover > .info-container-3 {
    transition-delay: 1s;
}

.top-sales-item-container:hover > .discount-container {
    -webkit-animation: highlight 1.5s ease-in-out infinite;
    animation: highlight 1.5s ease-in-out infinite;
}

.discount-container {
    position: absolute;
    bottom: 10%;
    left: 70%;
    background-color: var(--main-font-color);
    width: 20vw;
    height: 5vw;
    transform: rotate(-45deg);
    text-align: center;
    overflow: hidden;
}

.info-label {
    padding: 0vw 1.5vw;
}

.discount-label,
.info-label {
    font-size: var(--discount-font-size);
    font-weight: var(--bolder-font);
}

@media screen and (max-width: 750px) {
    .top-sales-container {
        display: block;
    }

    .top-sales-top-container {
        display: block;
    }

    .top-sales-item-container {
        margin: 3vw auto;
        width: 80%;
    }

    img.top-sales-image {
        width: 100%;
        height: auto;
    }

    .discount-container {
        width: 30vw;
    }
}

@-webkit-keyframes highlight {
    0% {
        color: var(black);
    }
    100% {
        color: var(--highlight-font-color);
    }
}

@keyframes highlight {
    0% {
        color: var(black);
    }
    100% {
        color: var(--highlight-font-color);
    }
}
